linux-armadaxp: 3.5.0-1613.20 -proposed tracker

Bug #1177193 reported by Brad Figg on 2013-05-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Para Siva
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Quantal
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.5.0-1613.20 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 07. May 2013 05:04 UTC
kernel-stable-master-bug:1177007
kernel-stable-Certification-testing-end:Tuesday, 07. May 2013 06:03 UTC
kernel-stable-Security-signoff-end:Tuesday, 07. May 2013 06:03 UTC
kernel-stable-Prepare-package-end:Wednesday, 08. May 2013 07:02 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 08. May 2013 07:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 09. May 2013 17:03 UTC
kernel-stable-Verification-testing-start:Thursday, 09. May 2013 19:05 UTC
kernel-stable-phase:Testing
kernel-stable-phase-changed:Friday, 10. May 2013 01:03 UTC
kernel-stable-Verification-testing-end:Friday, 10. May 2013 01:03 UTC
kernel-stable-Regression-testing-start:Friday, 10. May 2013 01:03 UTC
kernel-stable-Regression-testing-end:Monday, 13. May 2013 13:04 UTC

CVE References

This tracking bug was opened to be worked from linux-3.5.0-29.49 update (bug 1177007)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-05-07
description: updated
Ike Panhc (ikepanhc) on 2013-05-07
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
Ike Panhc (ikepanhc) on 2013-05-07
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.5.0-1613.20 -proposed tracker
description: updated
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → In Progress
Ike Panhc (ikepanhc) wrote :
Download full text (4.3 KiB)

After rebase, system will random oops when reboot

[ 67.884667] Unable to handle kernel NULL pointer dereference at virtual address 00000000
[ 67.886073] CPU2: shutdown
[ 67.886406] Unable to handle kernel NULL pointer dereference at virtual address 00000000
[ 67.886411] pgd = c0004000
[ 67.886426] Internal error: Oops: 80000005 [#1] SMP ARM
[ 67.886430] Modules linked in: dm_multipath dm_raid45 dm_mirror dm_region_hash dm_log
[ 67.886451] CPU: 2 Not tainted (3.5.0-1613-armadaxp #20)
[ 67.886457] PC is at 0x0
[ 67.886468] LR is at platform_cpu_die+0x24/0x6c
[ 67.886475] pc : [<00000000>] lr : [<c065dc70>] psr: 60000093
[ 67.886475] sp : ef063f90 ip : ef063fa8 fp : ef063fa4
[ 67.886478] r10: 00000000 r9 : 562f5842 r8 : 0000406a
[ 67.886482] r7 : c094778c r6 : c07ec731 r5 : c0947158 r4 : 00000002
[ 67.886486] r3 : 00000004 r2 : 00000005 r1 : e0ffe0f9 r0 : 00000000
[ 67.886491] Flags: nZCv IRQs off FIQs on Mode SVC_32 ISA ARM Segment kernel
[ 67.886495] Control: 10c53c7d Table: 0000406a DAC: 00000015
[ 67.886500] Process swapper/2 (pid: 0, stack limit = 0xef0622f0)
[ 67.886504] Stack: (0xef063f90 to 0xef064000)
[ 67.886511] 3f80: ef062000 00000002 ef063fbc ef063fa8
[ 67.886520] 3fa0: c065dc28 c065dc58 ef062000 c0683fa8 ef063fd4 ef063fc0 c000ee04 c065dbfc
[ 67.886528] 3fc0: c0919db8 00000002 ef063ff4 ef063fd8 c066e10c c000edb4 c066dadc 2f05406a
[ 67.886536] 3fe0: 00000015 10c03c7d 00000000 ef063ff8 0066daf4 c066e010 fdebff5f fefe9afe
[ 67.886538] Backtrace:
[ 67.886551] [<c065dc4c>] (platform_cpu_die+0x0/0x6c) from [<c065dc28>] (cpu_die+0x38/0x5c)
[ 67.886554] r5:00000002 r4:ef062000
[ 67.886571] [<c065dbf0>] (cpu_die+0x0/0x5c) from [<c000ee04>] (cpu_idle+0x5c/0xe8)
[ 67.886574] r5:c0683fa8 r4:ef062000
[ 67.886590] [<c000eda8>] (cpu_idle+0x0/0xe8) from [<c066e10c>] (secondary_start_kernel+0x108/0x12c)
[ 67.886593] r5:00000002 r4:c0919db8
[ 67.886606] [<c066e004>] (secondary_start_kernel+0x0/0x12c) from [<0066daf4>] (0x66daf4)
[ 67.886608] r6:10c03c7d r5:00000015 r4:2f05406a r3:c066dadc
[ 67.886622] Code: bad PC value
[ 67.886629] ---[ end trace 6a5227bdcc6df208 ]---
[ 67.886635] Kernel panic - not syncing: Attempted to kill the idle task!
[ 67.886415] [00000000] *pgd=00000000
[ 68.084788] pgd = c0004000
[ 68.091083] [00000000] *pgd=00000000
[ 68.094681] Internal error: Oops: 80000005 [#2] SMP ARM
[ 68.099919] Modules linked in: dm_multipath dm_raid45 dm_mirror dm_region_hash dm_log
[ 68.107841] CPU: 1 Tainted: G D (3.5.0-1613-armadaxp #20)
[ 68.114472] PC is at 0x0
[ 68.117016] LR is at platform_cpu_die+0x24/0x6c
[ 68.121561] pc : [<00000000>] lr : [<c065dc70>] psr: 60000093
[ 68.121561] sp : ef05ff90 ip : ef05ffa8 fp : ef05ffa4
[ 68.133069] r10: 00000000 r9 : 562f5842 r8 : 0000406a
[ 68.138309] r7 : c094778c r6 : c07ec731 r5 : c0947158 r4 : 00000001
[ 68.144854] r3 : 00000004 r2 : 00000005 r1 : e0ffe0f9 r0 : 00000000
[ 68.151400] Flags: nZCv IRQs off FIQs on Mode SVC_32 ISA ARM Segment kernel
[ 68.158815] Control: 10c53c7d Table: 0000406a DAC: 00...

Read more...

Ike Panhc (ikepanhc) wrote :

Its the same problem of bug 1090591

I reverted "kernel/sys.c: call disable_nonboot_cpus() in kernel_restart()" fixing this before and "PM / reboot: call syscore_shutdown() after disable_nonboot_cpus()" is introduced in Linux 3.5.7.11 for solving a reboot problem on MIPS platform and cause first revert patch to drop because of conflict.

Since armadaxp kernel delta is based on the original design of cpu reboot function, I believe the best way is to revert these two patches.

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

The change in linux-meta-armadaxp to move headers from the devel section to the kernel section was unnecessary (and matches neither the archive overrides not the other flavors). Waiting for a version that reverts this.

Brad Figg (brad-figg) wrote :

All builds are complete, packages in this bug can be copied to -proposed.

Ike Panhc (ikepanhc) wrote :

linux-meta-armadaxp - 3.5.0.1613.19 is ready in c-k-t PPA and the patch to move headers from devel to kernel is reverted

Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-05-09
description: updated
Brad Figg (brad-figg) on 2013-05-09
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2013-05-10
description: updated
Para Siva (psivaa) wrote :

No regressions were observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-05-13
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.5.0-1614.21

---------------
linux-armadaxp (3.5.0-1614.21) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1181059
  * Rebase onto Ubuntu-3.5.0-31.52

  [ Ubuntu: 3.5.0-31.52 ]

  * Release Tracking Bug
    - LP: #1180568
  * merged back in delta from 28.48 to 29.49

  [ Ubuntu: 3.5.0-30.51 ]

  * Release Tracking Bug
    - LP: #1180038
  * Based on 3.5.0-28.48 release
    - entire delta from 28.48 to 29.49 removed
    - CVE release is based on updates+fix
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - LP: #1179943
    - CVE-2013-2094
 -- Ike Panhc <email address hidden> Fri, 17 May 2013 15:48:27 +0800

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers